package com.m2pool.common.log.annotation;

import com.m2pool.common.log.enums.BusinessType;
import com.m2pool.common.log.enums.OperatorType;

import java.lang.annotation.*;

/**
 * @Description 日志记录处理
 * @Date 2024/6/11 14:47
 * @Author dy
 */
@Target({ ElementType.PARAMETER, ElementType.METHOD })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Log {

    /**
     * 模块
     */
    public String title() default "";

    /**
     * 功能
     */
    public BusinessType businessType() default BusinessType.OTHER;

    /**
     * 操作人类别
     */
    public OperatorType operatorType() default OperatorType.MANAGE;

    /**
     * 是否保存请求的参数
     */
    public boolean isSaveRequestData() default true;

    /**
     * 是否保存响应的参数
     */
    public boolean isSaveResponseData() default true;

}
